Checks to see if attribute exists

- « DOMElement::hasAttribute

- DOMElement::insertAdjacentElement »

- PHP Manual
- DOMElement
- Checks to see if attribute exists

# DOMElement::hasAttributeNS

(PHP 5, PHP 7, PHP 8)

DOMElement::hasAttributeNS — Checks to see if attribute exists

### Description

public DOMElement::hasAttributeNS(?string `$namespace`, string `$localName`): bool

Indicates whether attribute in namespace `namespace` named `localName` exists as a member of the element.

### Parameters

`namespace`

  The namespace URI.

`localName`

  The local name.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- DOMElement::hasAttribute() - Checks to see if attribute exists
- DOMElement::getAttributeNS() - Returns value of attribute
- DOMElement::setAttributeNS() - Adds new attribute
- DOMElement::removeAttributeNS() - Removes attribute